<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/wallpaper"
    android:orientation="horizontal">


    <androidx.viewpager.widget.ViewPager
        android:id="@+id/viewpager_preview"
        android:layout_width="match_parent"
        android:layout_height="match_parent">

    </androidx.viewpager.widget.ViewPager>

    <FrameLayout
        android:id="@+id/back"
        android:layout_width="35dp"
        android:layout_height="35dp"
        android:layout_marginStart="30dp"
        android:layout_marginTop="30dp"
        android:background="@drawable/bg">

        <ImageView
            android:id="@+id/imageview_back"
            android:layout_width="22dp"
            android:layout_height="22dp"
            android:layout_gravity="center"
            android:contentDescription="@string/viewpageback"
            android:src="@drawable/bank_icon" />
    </FrameLayout>


    <androidx.cardview.widget.CardView
        android:id="@+id/set_wallpaper"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_alignParentBottom="true"
        android:layout_marginStart="30dp"
        android:layout_marginEnd="30dp"
        android:layout_marginBottom="48dp"
        app:cardCornerRadius="16dp">

        <TextView
            android:layout_width="match_parent"
            android:layout_height="48dp"
            android:background="@drawable/set_button"
            android:gravity="center"
            android:text="@string/set_wallpaper"
            android:textColor="@color/white"
            android:textSize="16sp" />


    </androidx.cardview.widget.CardView>

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/fab_setting"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_alignParentStart="true"
        android:layout_alignParentEnd="true"
        android:layout_alignParentBottom="true"
        android:layout_margin="30dp"
        android:backgroundTint="@color/th"
        android:clickable="true"
        android:contentDescription="@string/set_wallpaper"
        android:visibility="gone"
        app:fabSize="auto"
        app:layout_anchorGravity="bottom|end" />

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/fbt_download"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:layout_alignParentStart="true"
        android:layout_alignParentBottom="true"
        android:layout_marginStart="30dp"
        android:layout_marginBottom="130dp"
        android:backgroundTint="@color/white33"
        android:contentDescription="@string/download"
        android:foreground="@drawable/download"
        app:layout_anchorGravity="bottom|end"
        app:shapeAppearance="@style/ShapeAppearanceOverlay.Material3.Button"
        app:tint="@null" />

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/fbt_love"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:layout_alignParentBottom="true"
        android:layout_centerHorizontal="true"
        android:layout_marginBottom="130dp"
        android:backgroundTint="@color/white33"
        android:contentDescription="@string/love"
        android:foreground="@drawable/love"
        app:layout_anchorGravity="bottom|end"
        app:shapeAppearance="@style/ShapeAppearanceOverlay.Material3.Button"
        app:tint="@null" />

    <com.google.android.material.floatingactionbutton.FloatingActionButton
        android:id="@+id/fbt_show"
        android:layout_width="32dp"
        android:layout_height="32dp"
        android:layout_alignParentEnd="true"
        android:layout_alignParentBottom="true"
        android:layout_marginEnd="30dp"
        android:layout_marginBottom="130dp"
        android:backgroundTint="@color/white33"
        android:contentDescription="@string/share"
        android:foreground="@drawable/fencisng"
        app:layout_anchorGravity="bottom|end"
        app:shapeAppearance="@style/ShapeAppearanceOverlay.Material3.Button"
        app:tint="@null" />

    <TextView
        android:id="@+id/textview_loading"
        android:layout_width="wrap_content"
        android:layout_height="wrap_content"
        android:layout_centerInParent="true"
        android:background="@drawable/text_bg"
        android:padding="17dp"
        android:text="@string/download"
        android:textColor="@color/black"
        android:textSize="18sp"
        android:visibility="gone" />

</RelativeLayout>